Subject: Re: [PATCH v2] t3310: avoid hiding failures from rev-parse in command substitutions

From: Junio C Hamano <[email-masked]>
Date: Thu, 05 Mar 2026 15:14:14 -0800

Junio C Hamano <[email-masked]> writes:

> Eric Sunshine <[email-masked]> writes:
>
>>> > diff --git a/t/t3310-notes-merge-manual-resolve.sh b/t/t3310-notes-merge-manual-resolve.sh
>>> > index 92a5951331..64c0a753ff 100755
>>>
>>> On top of what commit is this patch designed to apply?
>>
>> What Junio probably means is that you appear to have based v2 atop v1,
>> but instead you should squash v1 and v2 into a single patch, and send
>> that as v3 so that when the patch is finally accepted into his tree,
>> it will appear to have been perfect from the start (because v1 and v2
>> will only exist in the mailing list archive, not in the Git project
>> history).
>
> No.  The v1 and this one touch separate areas and can go
> independently.  The thing I had trouble with was that this did not
> apply to either on top of v1 (which by the way is already in 'next')
> nor on top of 'master'.

Ah, sorry, no.  I was utterly confused.  Somehow I mixed two
unrelated patches on this same t3310 script.  What went to 'next'
was the other unrelated one, and I did not even take the v1 of this
topic.

I'll look at v3 now.

Sorry for the confusion, and thanks for helping.